%
%
%
%
%12.2.2  Messung der spektralen Reinheit %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-14,'Color',MSVTITLCOLOR>
%
%
%
% Es gibt mehrere Mae fr den Fehler der Kreisfunktion:
%
% (1)  Der maximale Fehlerbetrag im Zeitbereich
%
% (2)  Der mittlere quadratische Fehler im Zeitbereich
%
% (3)  Der maximale Fehlerbetrag im Frequenzbereich
%
% (4)  Der mittlere quadratische Fehler im Frequenzbereich
%
% (2) und (4) sind Mae fr die Leistung des Fehlersignals.  Sie sind natrlich gleich.
% blicherweise wird die Leistung des Fehlersignals (2) bzw. (4) relativ zum Nutzsignal 
% in  dB  angegeben und bezeichnet als \bfSignal-Rauschverhltnis (SNR) . 
%
% Das SNR ist ein pauschales Ma, dass keine Aussagen ber die Art des 
% Fehlersignals macht.
%
% Bei vielen Anwendungen der Kreisfunktion kommt es aber auf das Spektrum des 
% Fehlersignals an.  Eine gleichmssige Verteilung der Fehlerleistung ber das 
% gesamte Spektrum (Spektralrauschen) ist hufig eher hinnehmbar als die 
% Konzentration der Fehlerleistung an einer oder wenigen Frequenzen.  
% Solche Nebenfrequenzen werden als Spurious (oder kurz spurs) bezeichnet.  
% Das kleinste Verhltnis der Leistungen von Nutzsignal und Nebenfrequenzen (3)
% ber smtliche generierbaren Frequenzen eines Generators heisst 
% \bfSpurious Free Dynamic Range (SFDR)
% Auch dieser Wert wird blicherweise in dB angegeben.
%
% Die Benutzung eines Fensters fhrt zur Verbreiterung aller Spektrallinien.  
% Die Beurteilung der Reinheit der Hauptlinie sollte deshalb mglichst ohne 
% Fenster erfolgen.  Da das Signal die Kreisfunktion ist, kann man die Anzahl  {\fontname{Courier}k}  
% der fr die FFT benutzten Abtastpunkte so whlen, dass mit diesen Punkten 
% eine ganze Zahl  {\fontname{Courier}n}  von Schwingungen mglichst gut dargestellt werden.  
% Bei den folgenden Beispielen wird in jedem Fall der Bereich  {\fontname{Courier}4096 \leq k \leq 16384}   
% nach der besten Lsung vollstndig durchsucht.  
%
% Fr die Beurteilung von Nebenfrequenzen ist dagegen die Benutzung eines 
% Fensters sinnvoll.  Hier wurde das Kaiser-Fenster gewhlt wegen des Parameters 
% zur adaptiven Einstellung des Untergrundes.
%
% Als Referenz wird das Spektrum der idealen Kreisfunktion mit der selben 
% Anzahl von Punkten und dem selben Fenster berechnet.  Als Spektrum des 
% Fehlers wird die Differenz zu dieser Referenz ermittelt.
%
