%
%
%
%
%12.3.5  Simulationen und Resultate   %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-8,'Color',MSVTITLCOLOR>%
%
%
%% Die folgenden Simulationen sollten durch weitere ergnzt werden.  
%% Die Ergebnisse knnen aus den erzeugten Bildern direkt ermittelt werden:
%
ddsalle(rand/2,12,12,3)      %  12 Bit
%
ddsalle(rand/2,16,16,3)      %  16 Bit
%
ddsalle(rand/2,24,24,3)      %  24 Bit
%
ddsalle(rand/2,32,32,3)      %  32 Bit
%
ddsalle(rand/2,40,40,3)      %  40 Bit
%
% Das folgende Bild entstand durch eine vollstndige Suche ber smtliche 
% generierbaren Frequenzen.  Es zeigt, dass der SFDR-Wert bei der Synthese 
% beliebig hoch getrieben werden kann.  Die Taylor-Entwicklung msste fr 
% hohe SFDR-Werte aufwndiger in hherer Ordnung gerechnet werden.
%
sfdr
%
% Die digitalen Oszillatoren sind zwar sehr effizient zu realisieren,
% haben jedoch den entscheidenden Nachteil einer verbreiterten Spektrallinie.  
% Dieses kann man beheben durch eine Kombination mit der klassischen DDS, 
% mit der je nach einer zuflligen Anzahl von Abtastschritten in einem 
% vorzugebenden Intervall (z.B. 10...20) ein neuer korrekter Wert ausgegeben 
% wird.  Einige Versuche hierzu zeigen die folgenden Bilder.
%
recmitkorr
%
% Diese Bilder zeigen deutlich, dass der digitale Oszillator schon nach 
% wenigen Abtastschritten neu aufgesetzt werden muss.  Dennoch ist der 
% SFDR-Wert meistens erheblich schlechter als der der klassischen DDS.
%
% Die obigen Rechnungen enthalten nicht die DDS mit normaler 
% Reihenentwicklung.  Ergebnisse hierzu knnen erzielt werden 
% mit
%
help ddspoly
%
ddspoly(rand/2,  5 , 48, 24, 16 );    % Polynomgrad  5 ,  16 Bit
%
ddspoly(rand/2,  7 , 48, 24, 24 );    % Polynomgrad  7 ,  24 Bit
%
ddspoly(rand/2, 10 , 48, 32, 32 );    % Polynomgrad 10 ,  32 Bit
%
% Die DDS mit Reihenentwicklung zeichnet sich aus durch geringe 
% Anzahl von Nebenfrequenzen (Harmonische der Grundfrequenz) 
% die bei gengendem Polynomgrad auch grossen SFDR-Wert ergeben.
%