%
%
%13.5  Realisierung auf einem Signalprozessor%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-16,'Color',MSVTITLCOLOR>
%
%
%
%  In diesem Abschnitt sollen am Beispiel des im vorigen Abschnitt entworfenen 
%  Multiraten-Bandpassfilters einige Implementierungs-Details besprochen werden. 
%  Im wesentlichen sind diese fr alle Signalprozessoren hnlich.  Die Zielplattform 
%  ist hier der DSP56002.
%
%  Zunchst ist zu entscheiden, ob in Richtung minimalen Rechenaufwands oder 
%  minimalen Speicherbedarfs optimiert werden soll.  Wir whlen den interessanteren 
%  Fall minimalen Rechenaufwands.
%
%  Es sei angenommen, dass die Inputabtastungen in einem Puffer vorliegen. 
%  Zunchst soll das erste Dezimationsfilter mit diesem Input einen entsprechend 
%  dezimierten Output berechnen, der seinerseits in einem Puffer gespeichert wird. 
%  Danach wird das zweite Dezimationsfilter auf dem Output des ersten gerechnet,
%  wobei der Output dieses Filters in einen dritten Puffer geschrieben wird usw.. 
%  Der Inputpuffer des Kernfilters muss wenigstens die Lnge der Impulsantwort 
%  des letzten Filters haben, also  {\fontname{Courier}93} .  Um einen Wert fr diesen Puffer zu 
%  berechnen muss Dezimationsfilter 3 einmal, Dezimationsfilter 2 fnfmal und 
%  Dezimationsfilter 1  25 mal gerechnet werden.  Hierfr sind 125 Inputabtastungen 
%  erforderlich.  Die erste Berechnung des Dezimationsfilters 1 greift jedoch auf 
%  25 Inputabtastungen zu, von denen die letzte der erste von besagten 125 Input-
%  abtastungen ist, wogegen die brigen 24 lter sind.  Der Inputpuffer muss 
%  deswegen wenigstens 125 + 24 = 149 Abtastungen lang sein.
%
%!!!! Der Abschnitt ist noch in Arbeit !!!!
