%
%
%14.4  Homomorphe Signalverarbeitung %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-12,'Color',MSVTITLCOLOR>
%
%
%
% Linear, also additiv verknpfte unbekannte Signale lassen sich durch lineare
% Filter dann voneinander trennen, wenn ihre Spektren sich nicht berlappen. 
% In der Praxis kommt es hufig vor, dass nichtlinear, z.B. multiplikativ verknpfte 
% unbekannte Signale voneinander zu trennen sind.  Eine Mglichkeit hierzu 
% bietet eine homomorphe Transformation  {\fontname{Courier}f} , die das betreffende Signal  {\fontname{Courier}x} 
% nichtlinear so in ein Signal  {\fontname{Courier}x' = f(x)}  transformiert, dass  {\fontname{Courier}x' = u' + v'}  die 
% Summe der zu trennenden transformierten Komponenten  {\fontname{Courier}u'}  und  {\fontname{Courier}v'}  ist.  
% Nun kann man diese Anteile mit linearen Filtern separieren, sofern deren Spektren 
% gengend unterschiedlich sind.  Eine anschliessende inverse homomorpe 
% Transformation  {\fontname{Courier}f^{-1}}  liefert nun die Komponenten  {\fontname{Courier}u = f^{-1}(u')}  und  {\fontname{Courier}v = f^{-1}(v')} .
%
% Homomorphe Transformationen gibt es nicht fr jede Art der Verknpfung. 
% Und auch dann, wenn es sie gibt, ist der Erfolg keineswegs garantiert, 
% denn die nichtlineare Transformation macht selbst aus einem Sinus-Signal 
% ein Oberwellen-reiches, so dass die Trennung von Komponenten  {\fontname{Courier}u'}  und  {\fontname{Courier}v'} 
% vereitelt werden kann, obwohl die Frequenzbereiche von  {\fontname{Courier}u}  und  {\fontname{Courier}v}  deutlich 
% verschieden sind.
%
% Wir betrachten zwei Beispiele:
%
% \bfMultiplikative Verknpfung
%
% Die homomorphe Transformation fr die multiplikative Verknpfung ist die 
% Logarithmierung, und die inverse Transformation ist die Exponentialfunktion.
% Sei also
%
% x  =  u \cdot v                                             %<'FontName',MSVFORMFONT>
%
% dann liefert die homomorphe Transformation
%
% x'  =  log(x)  =  log(u*v)  =  log(u) + log(v)  =  u' + v'  %<'FontName',MSVFORMFONT>
%
% Da die Signale  {\fontname{Courier}u'}  und  {\fontname{Courier}v'}  im transformierten Raum additiv verknpft sind, 
% ist prinzipiell eine lineare Filterung mglich.
%