%
%
%1.1  Signale          %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%  
%  Signale sind physikalische Reprsentationen von Nachrichten beliebiger Art. 
%  Im allgemeinen sind sie zeitabhngige Grssen.
%  
%  Klassifikation:
%  
%  (a) \bfDeterministische vs. Stochastische Signale
%
%  Ein Signal, welches sich nach einer festgelegten Vorschrift wiederholt 
%  reproduzieren lsst, heisst \bfdeterministisch.
%
%  Beispiel:\fontname{Courier}   a\cdotsin(2\pi\cdotf\cdott)
%  
%  Ein Signal, welches sich zufllig verhlt oder dessen Vorschrift zur Generierung 
%  bewusst ignoriert wird, heisst \bfstochastisch
%          
%  Beispiele:  Rauschen von Fremdquellen oder durch Digitalisierung,
%  Nutzsignal der Nachrichtentechnik am Empfangsort, Pseudozufallszahlen.
%                  
%
%  (b) \bfEnergiesignal vs. Leistungssignal
%                      
%  Ist das Integral ber das Absolutquadrat des Signals ber den gesamten Zeitbereich 
%  endlich, so liegt ein \bfEnergiesignal vor
%
%  Beispiel:   Ein Sendepuls zur bertragung eines Bits
%
%\fontname{Courier}              e^{-(t/tau)^{2}}sin(2\pi\cdotf\cdott)
%      
%  oder das obige Integral von -T bis T dividiert durch 2T ist fr alle T endlich. 
%  Dann liegt ein \bfLeistungssignal vor
%
%  Beispiele:  
%\fontname{Courier}              a\cdotsin(2\pi\cdotf\cdott)
%\fontname{Courier}              Rauschsignale
%      
%
%      
%  (c) \bfZeitkontinuierlich vs. Zeitdiskret
%
%      Das Signal ist eine kontinuierliche Funktion der Zeit
%      Beispiel:   
%\fontname{Courier}              a\cdotsin(2\pi\cdotf\cdott) 
%      
%      oder das Signal ist nur an gewissen, meist quidistanten Zeitpunkten
%      definiert (bzw. von Null verschieden)
%      Beispiel:   
%\fontname{Courier}              t_k = t_0 + k\cdotT   (k = 1,2,...)
%\fontname{Courier}              s_k = a\cdotsin(2\pi\cdotf\cdott_k)
%      
%      
%  (d) \bfAnalog vs. Digital
%
%      Das Signal ist reell- (oder komplex-)wertig
%      Beispiel:
%\fontname{Courier}              a\cdotsin(2\pi\cdotf\cdott)
%      
%      oder das Signal wird digital in endlich vielen Werten reprsentiert
%      (rell- oder komplex-wertig)
%      Beispiel:
%\fontname{Courier}              round(127\cdotsin(2\pi\cdotf\cdott))
%      
%
%
%  (e) \bfDimensionalitt
%
%      Das Signal variiert ber eine einzige Variable: Zeit oder Ort.
%      Beispiel:  Audiosignal
%
%      oder das Signal variiert ber mehr als eine Variable.
%      Beispiel:  Verarbeitung von Bildsignalen.
%
%
%  Diese Vorlesung behandelt berwiegend zeitdiskrete digitale 
%  Reprsentationen analoger zeitkontinuierlicher eindimensionaler Signale 
%  und deren Verarbeitung mit Digitalrechnern und digitalen ASICs. 
%