%
%
%(f)  Filterdesign mit GUI%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
%  Tiefpassfilter lassen sich durch wenige Parameter beschreiben: 
%
%     {\fontsize{18}\bullet}   obere Grenze des Durchlassbereiches
%
%     {\fontsize{18}\bullet}   untere Grenze des Sperrbreiches
%
%     {\fontsize{18}\bullet}   Welligkeit im Durchlassbereich
%
%     {\fontsize{18}\bullet}   Dmpfung im Sperrbereich
%
%     {\fontsize{18}\bullet}   Filtertyp :  FIR oder IIR
%
%  Da berdies die ersten vier Werte dieser Liste in der Graphik der 
%  Filterspezifikation direkt abzulesen sind, kann man auch umgekehrt 
%  diese Werte in der Graphic durch Graphisches User Interface (GUI) 
%  z.B. mit der Maus eingeben.  Durch Mens lassen sich auch Entwurfs-
%  methoden whlen.  Ein einfaches Beispiel eines solchen Systems 
%  bietet die Funktion  {\fontname{Courier}filtdemo} :
%
filtdemo
%
%  Wie bei vielen dieser Systeme wird hier bei FIR-Filtern nicht der Filtergrad 
%  so lange variiert, bis die Anforderungen gerade erfllt werden, sodern eine 
%  Schtzung wird benutzt (REMEZ: REMEZORD) oder die Ordnung muss 
%  gar vorgegeben werden (FIRLS).
%
%  Wenn ein Filter mit entworfen wurde, kann man mit der folgenden Anweisung 
%  die Filterkoeffizienten erhalten:
%
[b,a] = filtdemo('getfilt');
%
%
%%  bung 6.4.g  Entwerfen Sie mit filtdemo ein FIR-Filter mit folgenden 
%%  Eigenschaften:
%
%  obere Grenze des Durchlassbereiches :  0.20      %<'FontName',MSVFORMFONT>
%  untere Grenze des Sperrbreiches :      0.30      %<'FontName',MSVFORMFONT>
%  Welligkeit im Durchlassbereich :       +- 1.0 dB %<'FontName',MSVFORMFONT> 
%  Dmpfung im Sperrbereich :             -100 dB   %<'FontName',MSVFORMFONT>
%
%%  Vergleichen Sie das Resultat der Methoden  FIRLS, KAISER, REMEZ !
%%  Wie viele Filterkoeffizienten sind minimal erforderlich ?
%
%%  Prfen Sie das Resultat jeweils mit dem folgenden MATLAB-Skript:
%
[b,a] = filtdemo('getfilt');
filspezgraph([0 0.2],[0.3 1],[-1 +1],100,{b;a},'Filterspezifikation')
%
%  Die Koeffizientenzahl sollte folgende Werte erreichen:
%  REMEZ :  63 ;    FIRLS :  95 ;    KAISER :  97 ; %<'FontName',MSVFORMFONT>
%