%
%
%7.2  IIR-Filter ersten Grades%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
%  Gegeben sei ein abgetastetes Signal  {\fontname{Courier}x_k  (k = 1, 2, ...)} .
%  Ein Filter mit dem Algorithmus
%
%  y_k = u y_{k-1} + v x_k       %<'FontName',MSVFORMFONT>
%
%  heisst IIR-Filter ersten Grades.  Soll die Verstrkung bei der Frequenz  {\fontname{Courier}0}  eins sein, 
%  so ist   {\fontname{Courier}v = 1 - u}   zu whlen:
%
%  y_k = u y_{k-1} + (1-u) x_k   %<'FontName',MSVFORMFONT>
%
%  Die Impulsantwort ist einfach zu berechnen mit
%
%  x_1 = 1 ;   x_k = 0   fr   k>1;    y_k = 0   fr   k<1.   %<'FontName',MSVFORMFONT>
%
%  Daraus folgt
%      y(1) = v                  %<'FontName',MSVFORMFONT>
%      y(2) = u\cdotv            %<'FontName',MSVFORMFONT>
%      y(3) = u\cdotu\cdotv      %<'FontName',MSVFORMFONT>
%          ...                   %<'FontName',MSVFORMFONT>
%      y(n) = u^{n-1}\cdotv      %<'FontName',MSVFORMFONT>
%
%  Das Filter arbeitet offenbar nur fr  {\fontname{Courier}u<1}  stabil.
%
%  Das folgende Bild zeigt Frequenzgang und Impulsantwort fr die Parameter  
%  {\fontname{Courier}u=0.9 ,  v=0.1}  ( {\fontname{Courier}v}  ist Parameter von {\fontname{Courier}iir1demo}):
%
iir1demo(0.1)
%
%  Mit  {\fontname{Courier}v=0.02}  sinkt die obere Grenzfrequenz weiter ab:
%
iir1demo(0.02)
%
%  Das Filter zeichnet sich durch sehr geringen Rechenaufwand aus.
%  Es sind Tiefpassfilter beliebig kleiner Grenzfrequenz realisierbar:
%
iir1demo(0.001)
%
