%
%
%9.1  Einfhrung %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
%  Gegeben sei ein Signal durch die Abtastwerte  {\fontname{Courier}x_k}  zu den quidistanten 
%  Abtastzeitpunkten  {\fontname{Courier}kT} .  Sehr hufig bentigt man Sttzstellen des zugehrigen 
%  zeitkontinuierlichen Signals an anderen Zeitpunkten.  Diese sind durch Interpolation 
%  zu berechnen.  Man unterscheidet zwei Flle:
%
%  (1)  Die neuen Sttzstellen liegen zu den gegebenen synchron und 
%        ihre Verschiebung ist ein fester echter Bruch des Abtastschrittes  {\fontname{Courier}T} .
%
%  (2)  Die neuen Sttzstellen haben zu den alten asynchrone Zeitpunkte  {\fontname{Courier}nT'} .
%
%  Das folgende Bild stellt beide Flle graphisch dar.
%
ipolgraph1
%
%  Wir werden beide Flle der Reihe nach in den Abschnitten 9.2  und  9.3  behandeln.  
%  Dabei gehen wir davon aus, dass das Frequenzband  {\fontname{Courier}0 \leq f \leq Nyquistfrequenz} 
%  das richtige fr die Interpretation der Sttzstellen ist.  Im Abschnitt 9.4  wird die 
%  Interpolation fr andere Halbperioden des Spektrums betrachtet.
%
%  Zunchst stellen wir Interpolationsmethoden zusammen:
%
%  (a)  Polynominterpolation (linear, quadratisch, ...)
%
%  (b)  Spline-Interpolation
%
%  (c)  Nullen einfgen und Filtern mit FIR-Filter
%
%  (d)  Shannon-Synthese
%
%  Grundstzlich eignen sich die Methoden (a), (b), (d) sowohl fr synchrone wie fr 
%  asynchrone Interpolation.  Ziel ist jedoch eine Interpolation, die das Spektrum 
%  des Inputsignals im Bereich  {\fontname{Courier}0 \leq f \leq Nyquistfrequenz}  nicht verndert. 
%  Die fr die Interpolation von Funktionen ausserhalb der Signalverarbeitung meist 
%  benutzten Methoden (a) und (b) tun dies aber.  Wir werden deshalb hier nur (c) 
%  und (d) diskutieren, und zwar zunchst (c) fr die synchrone Interpolation in
%  9.2 und danach (d) in 9.3.
%