function dyngraph
% dyngraph zeichnet das Prinzip der Dynamikkompression.

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de
%
fh = fullscreen('Dynamikkompression');
axis([-10,85,-20,50])
axis off
r = 3;
drawccir([50,25],r,0.8*[1 1 1],'X',25);
drawcsq([35,10],10,0.8*[1 1 1],sprintf('Amp.\nDetect.'),15);
drawcsq([35,40],10,0.8*[1 1 1],'Delay',15);
drawarr([5,25],[20,25],'k',2,3);
drawarr([20,10],[30,10],'k',2,3);
drawarr([20,40],[30,40],'k',2,3);
drawarr([50,10],[50,25],'k',2,3,0,r);
drawarr([50,40],[50,25],'k',2,3,0,r);
drawarr([50,25],[70,25],'k',2,3,r,0);
set(text(8,28,'x'),'FontSize',20);
set(text(60,28,'y'),'FontSize',20);
line([20,20],[10,40],'lineWidth',2,'Color','k');
line([40,50],[40,40],'lineWidth',2,'Color','k');
line([40,50],[10,10],'lineWidth',2,'Color','k');
set(text(16,-5,'Dynamikkompression'),'FontSize',25)

