function Komplementaerfilter
% komplementrfilter zeichnet eine Komplementrfilterstruktur.
%
% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de
%
fh = fullscreen('Komplementrfilter');
axis([-10,85,-20,50])
axis off
drawccir([50,25],5,'w','+',35);
drawcsq([35,10],10,'w','FIR',28);
drawcsq([35,40],10,'w','Z^-^g^/^2',20);
drawarr([5,25],[20,25],'k',2,3);
drawarr([20,10],[30,10],'k',2,3);
drawarr([20,40],[30,40],'k',2,3);
drawarr([40,10],[70,10],'k',2,3);
drawarr([50,10],[50,25],'k',2,3,0,5);
drawarr([50,40],[50,25],'k',2,3,0,5);
drawarr([50,25],[70,25],'k',2,3,5,0);
text(46,18,'-','FontSize',40,'VerticalAlignment','middle');
set(text(8,28,'x(k)'),'FontSize',20);
set(text(60,28,'z(k)'),'FontSize',20);
set(text(60,13,'y(k)'),'FontSize',20);
line([20,20],[10,40],'lineWidth',2,'Color','k');
line([40,50],[40,40],'lineWidth',2,'Color','k');
set(text(13,-5,'Komplementrfilterstruktur'),'FontSize',25)

