function  kreuzglied(x,y,tt)
% kreuzglied(x,y,tt) zeichnet eine Kreuzgliedstruktur an die Position x,y.

% Autor: K. v. d. Heide, e-mail:  v.d.heide@on-line.de
%
r = 5;
sqrpos = [75,0];
cirpos = [25,0;25,60;45,60;75,60];
von  = [25,0;60,0;70,0;90,0;0,60;25,60;45,60;60,60;75,85;25,15;25,45;45,75];
nach = [0,0;25,0;60,0;80,0;25,60;45,60;60,60;75,60;75,60;25,0;25,60;45,60];
r1   = r*[1,0,0,0,0,1,1,0,0,0,0,0];
r2   = r*[0,1,0,0,1,1,0,1,1,1,1,1];
s    = ['+';'+';'X';'+'];
linx = [10,10;10,75;80,90;60,60;60,25;60,60;60,25];
liny = [60,85;85,85;60,60;60,45;45,15;0,15;15,45];
tx   = [47,21];
ty   = [72,53];
ttxt = {tt;'-'};
ssqr = size(sqrpos);
scir = size(cirpos);
sarr = size(von);
slin = size(linx);
for k = 1:ssqr(1) drawcsq([x,y]+sqrpos(k,:),10,'w','T',20); end
for k = 1:scir(1) drawccir([x,y]+cirpos(k,:),r,'w',s(k),14); end
for k = 1:sarr(1) drawarr([x,y]+von(k,:),[x,y]+nach(k,:),'k',2,3,r1(k),r2(k)); end
for k = 1:slin(1) line(x+linx(k,:),y+liny(k,:),'lineWidth',2,'Color','k'); end
for k = 1:length(tx) set(text(x+tx(k),y+ty(k),ttxt{k}),'FontSize',15); end


