function linintgraph
%  linintgraph stellt die lineare Interpolation dar

%  Autor:  K. v. d. Heide,  e-mail:  v.d.heide@on-line.de
%
lw = 3;                % LineWidth
ms = 10;               % MarkerSize
h = fullscreen('LinInterpol');
axis([0,100,-10,60])
set(gca,'XTick',[],'YTick',[],'Visible','off')
line([0,100],[0,0],'LineWidth',lw,'Color','b')
line([20,80;20,80],[0,0;20,50],'LineWidth',lw,'Color','k')
line([20,80],[20,50],'Marker','o','LineWidth',lw,'LineStyle','none',...
     'MarkerSize',ms,'Color','k')
line([40,40],[0,30],'LineWidth',lw,'Color','r')
line([40],[30],'Marker','x','LineWidth',lw,'LineStyle','none',...
     'MarkerSize',ms,'Color','r')
line([20,80],[20,50],'LineStyle',':','LineWidth',lw,'Color',0.5*[1 1 1])
text(19,-3,'t1','FontSize',18)
text(79,-3,'t2','FontSize',18)
text(39,-3,'T','FontSize',18,'Color','r')
text(21,10,'x(t1)','FontSize',18)
text(81,30,'x(t2)','FontSize',18)
text(41,15,'x(T)','FontSize',18,'Color','r')
text(0,60,'Lineare Interpolation','FontSize',24)
text(0,50,'x(T) = x(t1) + [x(t2) - x(t1)] * (T - t1) / (t2 - t1)',...
     'FontSize',18)
