%
%
% MATLAB-Funktionen%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Matlab-Funktionen werden wie Script-files als Text-Dateien mit der Erweiterung  
% *.m  erstellt. Sie unterscheiden sich von den Scripts nur durch das Statement 
% function Ausgabeparameterliste = Funktionsname(Eingabeparameterliste) %<'FontName','Courier'>
%
% Der Funktionsname wird durch den Dateinamen festgelegt. Der in der Definition 
% angegebene Name ist irrelevant, sollte aber der bersichtlichkeit halber mit 
% dem Dateinamen bereinstimmen. Gross- und Kleinschreibung wird unterschieden.
% Das ist ein hufiger Grund fr Fehlermeldungen. Bei Windows hilft Umbenennen 
% der Datei in die Schreibweise der Aufrufe nicht. Vielmehr muss man vom Editor 
% aus "Speichern unter" whlen.
% Funktionen knnen mehrere Ausgabeparameter haben.
%
% \bfScoping:
%
% Alle vorab definierten Funktionen und Scripte sind in der Funktion verfgbar. 
% Die aussen erzeugten Variablen knnen jedoch nur ber die Parameter nach innen 
% getragen werden. Ebenso sind nach der Ausfhrung der Funktion alle intern
% erzeugten Variablen unsichtbar.
%
% Beispiel:
%% Folgende Datei im M-File Editor/Debugger ffnen:
% fktabtast.m  %<'FontName','Courier'>
%
%% Nun den Cursor auf den Anfang setzen und einen Breakpoint setzen.
%% Danach im Kommandofenster
% fktabtast  %<'FontName','Courier'>
%
%% eingeben und mit der Eingabetaste abschicken. Nach einigen Einzelschritten 
%% knnen die dort berechneten internen Variablen im Kommandofenster erfragt werden. 
%% Nach Verlassen der Funktion sind diese wieder nicht definiert.
%
