function polysave(datei,pk)
% polysave(datei,pk,s)
% schreibt die Polynomkoeffizienten pk in DSP56000-Assemblerformat 
% in der Reihenfolge pk(n)...pk(0) in die Datei datei.
% pk kann als letzten Wert einen Skalierungsfaktor entkalten.

% K. von der Heide,  e-mail:  v.d.heide@on-line.de

kk = 0;
L  = length(pk);
fprintf(datei,'; Skalierte Polynomkoeffizienten\n        dc      ');
for k = 1:L;
    kk = kk+1;
    fprintf(datei,'%1.8f',pk(k));
    if ~(k==L)
       if kk==4
          fprintf(datei,'\n        dc      ');
          kk = 0;
       else
          fprintf(datei,',');
       end;
    end;
end;
