function recmitkorr(f,pt,po)
% recmitkorr(f,pt,po)
% Spektren der direkten Rekursion (DDS) mit regelmssigem und
% zuflligen Rcksetzen auf den korrekten Wert.
% f  :    Frequenz relativ zur Abtastfrequenz     (Default 0.22)
% pt :    Anzahl der Bits zur internen Berechnung (Default 20)
% po :    Anzahl der Bits zur Ausgabe             (Default 16)

if nargin<2     pt = 20;   end
if nargin<3     po = pt;   end
if nargin<1      f = 0.22; end

contrecdds(f,pt,po,3,1);
contrecdds(f,pt,po,3,0);
contrecdds(f,pt,po,3,10);
contrecdds(f,pt,po,3,100);
contrecdds(f,pt,po,3,4,8);
contrecdds(f,pt,po,3,10,20);
contrecdds(f,pt,po,3,100,200);
