function ampdetect(x,v,r)
% 
% Demo fr die Amplitudendetektion


xpeak(1) = 0;
xrms(1)  = 0;
u = 1 - v - r;
g = 10;
b = remez(g,[0.005 0.625],[1 1],'Hilbert');
y = filter(b,1,x);
for k = 2:length(x)
   xrms(k)  = (1 - v)*xrms(k-1) + v*y(k)*conj(y(k));
   xpeak(k) = u*xpeak(k-1) + v*abs(y(k));
end
fh = fullscreen('Amp.Detect.');
plot(1:length(x),[xrms;xpeak])
legend('RMS-Detector','Spitzenwertdetektor')
