function demosquarewave(n)
% Demo fr einen schlechten Rechteckgenerator
% !!! noch nicht ausgearbeitet !!!
% Gezeigt wird:
% (1)  das generierte Rechtecksignal
% (2)  das mit Tiefpass daraus gewonnene Sinussignal
% (3)  die Differenz zwischen Tiefpasssignal und theoretischem Sinus
% Zu sehen sind Phasenfehler des Rechtecks.

if nargin<1  n  = 8000; end         % number of samples

fs     = 44100.0   % sampling frequency   in Hz
fsq    =   441.0   % freq. of square wave in Hz
t  = (1:n)/fs;                      % discrete time
x  = (2*(rem(fsq*t,1)>=0.5)-1);     % dieser taugt nicht, Fehler durch Arithmetik ??
%x  = (2*(-sin(2*pi*fsq*t)>=0)-1);  % gut bis auf zeitliche Verschiebung um 1/2 Abtast.
%p  = [-ones(1,round(fs/fsq/2)) ones(1,round(fs/fsq/2))]; % one period 
%x  = flach((ones(ceil(n/length(p)),1)*p)); % dieser ist natrlich hervorragend


passr  =     0.001; % passband ripple      in dB
stopa  =    80.0;   % stopband attenuation in dB
istopa =    80.0;   % stopband attenuation in dB (interpolation)
cutoff =   500.0;   % cutoff frequency     in Hz
transr =  1000.0;   % begin of stopband    in Hz
[fc,dly] = mrdesign2(cutoff*2/fs,(transr-cutoff)*2/fs,passr,stopa,istopa);
x  = x(1:n);
y  = mrfilter2(fc,x);            % multirate filter
xx = delay(x,dly);
yy = y(1:length(x));
%zz = delay(-4/pi*sin(2*pi*fsq*t),dly);
zz = delay(-4/pi*sin(2*pi*fsq*(t+0.5/fs)),dly);
%zz = delay(-4/pi*sin(2*pi*fsq*(t-0.5/fs)),dly);
fh = fullscreen('MR-Test','w',3);
axes('Position',[0 0.60 1 0.3]);  plot(t,xx);       axis([-0.001 n/fs 2*[-1 +1]]); axis off
axes('Position',[0 0.30 1 0.3]);  plot(t,[yy;zz]'); axis([-0.001 n/fs 2*[-1 +1]]); axis off
axes('Position',[0 0.00 1 0.3]);  plot(t,yy-zz);    axis([-0.001 n/fs 0.2*[-1 +1]]); axis off
