        page    132

; Digitaler Oszillator
; ====================
; Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de
;
; Der Rechenbedarf zur Generierung von n Sinus-Werten in 
; Puffer x:(r4)+ ist  4*n  Instruktionen
;
;
freq         equ   0.1959977 ; Frequenz relativ zur Abtastfrequenz
pi           equ   3.1415926535
w            equ   2*@cos(2*pi*freq) ; Winkelschritt
OutBufStart  equ   $2000     ; Basisadresse fr Ausgabepuffer
OutBufLength equ   $2000     ; Lnge des Ausgabepuffers

n            equ   $1FFF

        org     y:$0
C       DC      w

START        equ   $0040     ; Programmanfang
        
        org     p:$0
        jmp     START

        org     p:START
        ori     #3,mr        ; Interrupts nicht annehmen
        movec   #0,sp        ; hardware stack pointer lschen
        move    #0,omr       ; operating mode 0

; Zeiger fr die Adressierung des Ausgabepuffers initialisieren
; =============================================================

        move    #>OutBufStart+OutBufLength-1,r4
        move    #>OutBufLength-1,m4
        move    #>n/2,n4

; Code fr die Generierung von n Abtastungen
; ==========================================

        move  y:C,a
        asr   a           a,x0
        move  #0.99999999,y1   

        do n4,loop
        move  a,y0
        mpy   x0,y0,a   a,x:(r4)+
        sub   y1,a      y0,y1
loop

        move  a,x:(r4)+

; Programmstopp
; =============

        debug


        end
