%
%
%10.1 Einfhrung%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
%  Komplexe Signale spielen in der Digitalen Signalverarbeitung eine groe Rolle. 
%  Anstelle eines einfachen reellen Abtastwerts pro Abtastschritt gibt es bei einem 
%  komplexen Signal zu jedem Abtastschritt zwei Werte, die man Real- bzw. Imaginrteil 
%  nennt.  Die beiden Teile sind aber nicht unabhngig voneinander.  Der Imaginrteil 
%  ist eine Reprsentation des selben kontinuierlichen  Signals wie der Realteil. 
%  Der Unterschied liegt in der Phasendrehung um   {\fontname{Courier}-sign(f) \pi/2}   im gesamten 
%  Frequenzbereich.  Ein komplexes Signal, das diese Bedingung erfllt, heit 
%  analytisches Signal.  Aus einem gegebenen reellen Signal erhlt man das analytische 
%  Signal durch Hilbert-Transformation.  Diese wird im folgenden Abschnitt 10.2 
%  besprochen.
%
%  Die Benutzung von analytischen Signalen anstelle von reellen hat folgende Vorteile:
%
%  (a)  Fr jeden Abtastpunkt liegt der Signalwert in kartesischen
%        Koordinaten der komplexen Ebene vor.  Diese lassen sich
%        einfach in Polarkoordinaten umrechnen. Dann ergibt sich
%        aus dem einzelnen Abtastschritt die Signalamplitude und
%        die Phase.  Bei reellen Signalen ist das nicht mglich.
%
%  (b)  Eine Verschiebung des Signals im Frequenzbereich um  {\fontname{Courier}\Deltaf}  ist durch 
%        komplexe Multiplikation mit  {\fontname{Courier}e^{i2\pi\Deltaft}}  ohne Entstehung von Spiegeln mglich.
%
%  Andererseits bedeutet die Benutzung komplexer Werte und deren Arithmetik einen 
%  Zusatzaufwand.  Es wird sich aber im Abschnitt 10.3 zeigen, dass analytische 
%  Signale den vollen Frequenzbereich  {\fontname{Courier}0...f_s}  ausnutzen knnen. 
%  Gegenber reellen Signalen kann deshalb die Abtastrate  {\fontname{Courier}f_s}  halbiert werden.  
%  Dann ist der Rechenaufwand bei komplexer Verarbeitung kaum hher als bei reeller.
%
