%
%
%12.2.1  Anforderungen  %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Eine der wichtigsten Aufgaben der  {\fontname{Courier}exp}-Funktion ergibt sich aus dem 
% Verschiebungssatz :
%
% Sei  {\fontname{Courier}X(\omega)}  die Fouriertransformierte von  {\fontname{Courier}x(t)} , dann gilt
%
% {\fontname{Courier}x(t) e^{i\nut}  \leftrightarrow  X(\omega+\nu)}
%
% Durch Multiplikation mit der Kreisfunktion im Zeitbereich lsst sich also ein 
% Spektralbereich verschieben.  Dies geschieht in jedem Radio und Fernsehgert, 
% meistens sogar mehrfach, allerdings auch heute noch fast immer durch ein analoges 
% Multiplizierwerk (Gilbert-Zelle oder Dual-Gate-FET).
%
% Angenommen zur idealen Kreisfunktion wird nun ein Fehlerterm  {\fontname{Courier}r(t)}  addiert :
%
% {\fontname{Courier}e^{i\nut} + r(t)}
%
% Wegen der Linearitt der Fouriertransformation ergibt sich dann
%
% {\fontname{Courier}x(t) (e^{i\nut} + r(t))  \leftrightarrow  X(\omega+\nu) + X(\omega) \otimes R(\omega)}
%
% Hierin ist  {\fontname{Courier}R(\omega)}  die Fouriertransformierte von  {\fontname{Courier}r(t)} , und das Symbol  {\fontname{Courier}\otimes}  
% bedeutet die Faltung.
%
% Das folgende Bild stellt die Spektren eines Eingangssignals und des Oszillatorsignals
% dar sowie das Spektrum des Produktes (genauer: des Quotienten).  Das Spektrum des 
% Produktes ist offensichtlich nicht einfach eine Verschiebung des Eingangsspektrums.
% Es enthlt strende Mischprodukte, die von Nebenfrequenzen des Oszillatorsignals 
% stammen.  Zustzlich sind alle Frequenzen verbreitert durch das unscharfe Spektrum 
% des Oszillatorsignals.  Letzteres ist besonders strend bei der Untersuchung von 
% Details im Spektrum direkt neben starken Signalen.  Das Bild zeigt ein solches 
% Detail im Eingangsspektrum und seine Entsprechung im Mischspektrum, wo dieses 
% Teilsignal praktisch untergeht:
%
mixdemo
%
% Die Anforderungen knnen pauschal wie folgt charakterisiert werden :
%
% 1.  Die Genauigkeit der Frequenzeinstellung soll wenigstens  10^{-9}  sein
%
% 2.  Eine messbare Verbreiterung der Spektrallinie der Kreisfunktion ist unzulssig
%
% 3.  Neben-Linien drfen maximal eine Leistung von  10^{-12}  der Leistung der Hauptkomponente haben 
%
% 4.  Realisierbar mit wenigen Befehlen auf einem DSP oder als ASIC mit Abtastrate > 100 MHz
%