%
%
%
%
%12.3.1  Quantisierung   %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Smtliche Operationen innerhalb der Algorithmen werden realisiert mit 
% endlicher Reprsentation der Grssen.  Wir betrachten nachfolgend nur die 
% Festkomma-Reprsentation im 2-Komplement.  Das ist der festliegenden 
% Dynamik mit nahezu voller Aussteuerung auch angemessen.
%
% Die Quantisierung der Ausgabe der Kreisfunktion zeigen die folgenden Bilder.
%
%% Fr Aktionen im Kommandofenster muss die Interaktion mit diesen Fenstern 
%% beendet werden.
%
ddsoutquant(4,   0,  21.37, 0)   % 4 Bit,  volle Aussteuerung
%
ddsoutquant(4,  -1, 120.2,  0)   % 4 Bit,  korrekte Aussteuerung
%% Beachten Sie bei dieser Animation (bel. Taste drcken!), dass der wahre 
%% Winkelschritt 120.2\circ betrgt.  Der realisierte weist jedoch einen Jitter auf.
%
ddsoutquant(6, 0.3, -11.2,  0)   % 6 Bit,  zu kleine Aussteuerung
%
% Dies stellt zugleich die Quantisierung aller Grssen bei den digitalen Oszillatoren 
% dar, wobei evtl. die Wortlngen von interner Rechnung und Ausgabe unterschiedlich sind.
%
% Ob der Quantisierungsfehler als Rauschen oder als systematischer Fehler auftritt, 
% hngt vom Winkelschritt pro Abtastung  {\fontname{Courier}\beta}  ab. 
%
ddsoutquant(4,  -1, 120,   51)   % 4 Bit,  korrekte Aussteuerung,  beta = 120 Grad 
%%
%% Fr andere Werte klicken Sie im Bild auf  "Input-Dialog"  und geben dort 
%% den Winkelschritt und dessen Anfangswert ein (in Grad).
%
% Der systematisch in das Spektrum eingehende Fehler hngt wesentlich von der
% Krze der Periode ab, mit der die Ausgabewerte wiederholt werden.  Offenbar 
% sind Winkelschritte von  {\fontname{Courier}2\pi n/m}  mit kleinem  {\fontname{Courier}m}  besonders schlecht.  Dieser 
% Fehler durch die Quantisierung der Ausgabewerte ist bei allen Verfahren gleich.
%
