%
%
%  (c)  Entwurf durch Vorgabe der Nullstellen%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-16,'Color',MSVTITLCOLOR>
%
%
%
%  Bisweilen werden Filter bentigt, die an vorgegebenen Punkten des Frequenzbereiches 
%  sehr gut sperren sollen (Kerbfilter). Der Betragsfrequenzgang soll an diesen Punkten 
%  also eine Nullstelle haben.  Diese darf mehrfach sein, um besonders tiefe Absenkung 
%  auch in unmittelbarer Umgebung zu erhalten.  Der Frequenzgang hat dann die Faktoren 
%  {\fontname{Courier}(\omega - Nullstelle_k)} .  Wir schreiben nur die Nullstellen im Bereich  {\fontname{Courier}0 < \omega < 1}  
%  und ergnzen die symmetrischen automatisch:
%
ns = [0.1  0.1  0.2  0.79  0.80  0.81]' % Nullstellen relativ zur Nyquistfrequenz
ns = [ns;-ns];          % Symmetrie zur Nyquistfrequenz fr reelle Impulsantwort
[b,a] = z2koef(ns);     % Berechnung der Koeffizienten aus den Nullstellen
h(2) = fullscreen('Frequenzgang');
filterplot(b,0,1,0,-120,10);
title ('Frequenzgang','FontSize',13)
z2koef(ns); setfigpos(2,3,2,2) % Darstellung der Z-Ebene mit Nullstellen und Polen
%
%%  bung 6.4c:  Es ist ein Filter mit mglichst wenigen Koeffizienten nach folgender 
%%  Spezifikation entsprechend obigem Schema zu entwerfen. Weisen Sie auch hier die 
%%  Koeffizienten dem Vektor  b  zu und klicken Sie zur Prfung hier:
%
filspezgraph([0.49 0.51],[0.24 0.26; 0.74 0.76],[-0.1 0],-80,b)
%
%%  Wieviele nichtverschwindende Koeffizienten hat das Filter?
%
%%  Hinweis: solche Filter werden zur Dezimation und Interpolation in Multiraten-
%%  filtern bentigt (siehe 13.4)
%
