%
%
%9.4  Interpolation in Halbperioden > Nyquistfrequenz%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-20,'Color',MSVTITLCOLOR>
%
%
%
%  Liegt ein unterabgetastetes Band-begrenztes Signal vor, so sind die behandelten 
%  Interpolationsmethoden nicht wie beschrieben anwendbar.
%  
%  Einfach ist der Fall der synchronen Interpolation durch Hochtastung mit Einfgung 
%  von Nullen und anschliessender Filterung.  Das Spektrum bleibt ja von der Einfgung 
%  der Nullen unberhrt.  Anstelle des Tiefpasses zur Interpolation muss hier ein 
%  entsprechender Bandpass eingesetzt werden.
%
%  Bei der Shannon-Synthese sind anstelle der sinc-Funktionen nun die in die 
%  gewnschten Bereiche geschobenen Funktionen zu nehmen:
%  {\fontname{Courier}sinc(t)cos(2\pipt)} ,  wo  {\fontname{Courier}p} den Bereich angibt:
%  {\fontname{Courier}(p ... p+0.5)*Abtastfrequenz} .   {\fontname{Courier}p} ist der dritte Parameter von  {\fontname{Courier}nyquistinterpol} .  
%  Wir betrachten einige Beispiele:
%
nyquistinterpol(randn(1,15),300,1);
%
nyquistinterpol(randn(1,15),300,2);
%
nyquistinterpol(randn(1,15),300,3);
%
nyquistinterpol(randn(1,15),300,1.5);
%
%  Auch hier kann man die Funktionen mit dem Fenster begrenzen:
%
nyquistinterpol(randn(1,15),300,2,3);
%
