function fsqhelp

fsiz = 13;                        % FontSize
tx = 0;                           % Textposition
ldb= -100;                        % untere Darstellungsgrenze in dB
lw = 2.5;                         % Strichstrke fr Richtungspfeile
n  = 64;
nn = (1:n)/n;
m  = 128;
mm = (1:m)/m;
fh = fullscreen('freqscanhelp');
ax1= axes('Position',[0.075 0.075 0.6 0.85]);
drawarr([0 0 0],[1 1 0],'g',lw,0.05)
drawarr([0.5 0 0],[0.5 1 0],'m',lw,0.05)
patch(0.502+[0 -0.02 0.02],0.498*[1 1 1],ldb+[0 10 10],'b')
line(0.502*[1 1],0.497*[1 1],[0 ldb],'Color','b','LineWidth',lw)
line(ones(2,n).*(ones(2,1)*nn),ones(2,n).*[zeros(1,n);ones(1,n)],ldb*[1 1],'Color',0.5*[1 1 1])
ph = patch([0 0 mm 1],[0 0 mm 1],[ldb, 20*log10(max(1E-20,abs(freqz(fir1(30,0.3),1,[0 mm]*pi)))),ldb+1],'r');
set(ph,'EdgeColor','r')
axis([0 1 0 1 ldb 0])
title('Frequenzbereich-Antwort fr Sinus-Signale','FontSize',fsiz);
xlabel('Inputfrequenz','FontSize',fsiz);
ylabel('Outputfrequenz','FontSize',fsiz);
zlabel('Dmpfung (dB)','FontSize',fsiz);
set(gca,'View',[0 0],'XGrid','off','YGrid','off','ZGrid','on');
set(gcf,'KeyPressFcn','fsqview')
rotate3d
ax2 = axes('Position',[0.7 0.075 0.4 0.85]);
axis off
text(tx,1.0,'Drehung des Bildes mit der','FontSize',fsiz)
text(tx,0.92,'Maus oder mit folgenden','FontSize',fsiz)
text(tx,0.84,'Tasten:','FontSize',fsiz)
text(tx,0.7,'t :  Sicht von oben','Color','b','FontSize',fsiz-2)
text(tx,0.6,'f :  Betragsfrequenzgang','Color','m','FontSize',fsiz-2)
text(tx,0.5,'a :  Sicht auf Alias und Produkte','Color','g','FontSize',fsiz-2)
text(tx,0.4,'d, s :  Schrgsichten','FontSize',fsiz-2)
axes(ax1)