function  systemgraph
% systemgraph zeichnet die Struktur der Zustandsbeschreibung linearer Systeme.

% K. v. d. Heide,  e-mail:  v.d.heide@on-line.de
%
sqcol  = 0.9*[1 1 1];
circol = 0.9*[1 1 1];
fh = fullscreen('lineares System','w',0,[2.1 1; 1 1]);
axis([0,145,0,50])
axis off
sqrpos = [25 25; 65 25; 115 25; 65 45; 65 5];
sqtxt  = {  'B';'\int';    'C';   'D';  'A'};
cirpos = [45 25; 85 25; 135 25];
cirtxt = {  '+';   '+';    '+'};
arrvon = [ 0 25;  30 25;  48 25;  70 25;  88 25; 120 25; 138 25; ...
          10 45; 135 45; 100  5;  45  5;  85 35];
arrnac = [20 25;  42 25;  60 25;  82 25; 110 25; 132 25; 145 25; ...
          60 45; 135 28;  70  5;  45 22;  85 28];
linx   = [10 10; 70 135;100 100; 60 45]';
liny   = [25 45; 45  45; 25   5;  5  5]';
tx     = [  5;      50;  98; 140;   87];
ty     = [ 28;      28;  28;  28;   32];
ttxt   = {'u'; 'dx/dt'; 'x'; 'y'; 'x_0'};
ssqr = size(sqrpos);
scir = size(cirpos);
sarr = size(arrvon);
slin = size(linx);
for k = 1:ssqr(1) drawcsq(sqrpos(k,:),10, sqcol,sqtxt{k}, 20); end
for k = 1:scir(1) drawccir(cirpos(k,:),3,circol,cirtxt{k},20); end
for k = 1:sarr(1) drawarr(arrvon(k,:),arrnac(k,:),'k',2,2);    end
line(linx,liny,'LineWidth',1.5,'Color','k');
for k = 1:length(tx) text(tx(k),ty(k),ttxt{k},'FontSize',15);  end
